<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));

class DashboardFormTomoacBackupBackupController extends Controller {

	public function backup_form() {
//		error_log("backup",0);
		$errmes = '';

		$db = Loader::db();
		$js = Loader::helper('json');
		$fh = Loader::helper('file');

		$path = "./files/tomoacform5";
		if(!is_dir($path))
			if(!mkdir( $path ))
				$errmes = t('backup directory could not make.');

		$u = new User();
		if ($u->isSuperUser()) {

			$fn = 'tomoac_'.$_POST['surveyName'].'('.$_POST['bID'].')_'.date('d-M-Y_H:i').'.json';

			if($_POST['function'] == 'backup') {	// backup
				if(($fp = fopen($path.'/'.$fn, "w")) === FALSE)
					$errmes = t('backup file could not open.');
				$json_value = "";
				$bid = $_POST['bID'];
				$rows = $db->query("SELECT * FROM btFormTomoacQuestions WHERE bID='".$bid."' ORDER BY position");
				foreach($rows as $row) {
					$json_value .= $js->encode($row);
				}
				if(fwrite($fp, $json_value) === FALSE)
					$errmes = t('backup file could not write.');
				if(fclose($fp) == FALSE)
					$errmes = t('backup file could not close.');

				if($errmes == '')
					$this->set('message', '"'.$fn.'" '.t('was backuped.'));
				else
					$this->set('message', $errmes);
			}
			if($_POST['function'] == 'download') {	// download
				$fn = $path .'/'. $_POST['filename'];
				$fh->forceDownload($fn);
			}
			if($_POST['function'] == 'delete') {	// delete
				$fn = $path .'/'. $_POST['filename'];
				unlink($fn);
			}
		}
	}
}
